OS Compatibility Testing - macOS 13.0 (Ventura)

This article provides details from DoIT's compatibility testing with macOS 13 (Ventura)

Overview

Testing was completed on 10/25/2022 using macOS 13.0 on a 2020 13inch Apple Silicon MacBook Pro. 

Recommendation

DoIT Support recommends against upgrading to new macOS versions until all relevant campus security software applications have been validated as functional.  

See Apple Silicon-specific compatibility here.


Software
Version
DoIT Test Results
Vendor Supported
Notes
Active Directory N/A

green check

N/A
  • Domain joins and log-in with NetID are both successful.
  • Maintains domain connection when upgrading from the previous macOS version to 13.0.
Adobe Creative Cloud

5.9.0.373

10.14+ 

(Most apps fully macOS 13.0 Supported)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Adobe Creative Cloud Desktop application properly starts on login.
    • Successfully installs Adobe CC applications.
  • Vendor system requirements
Box Drive

2.27.250

10.15+

(No explicit 13.0 support noted)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Box-folder synced successfully.
    • Shared box folders synced successfully.
    • Successfully add, edit, and remove files from the Box folder.
  • Vendor system requirementspatch notes
BigFix (Security) 10.0.7

10.14+

(No explicit 13.0 support noted)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Launches TriggerClientUI successfully.
    • Reports into BigFix console, receives deployments, and reports back to relevance inquiries successfully.

    • The Offers dashboard appears correctly and allows for the acceptance and deployment of offer content.
  • Vendor system requirementspatch notes
Cisco AMP (Security)

1.18.0.862

/

10.14+

(No explicit 13.0 support noted)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Correctly reports into Cisco AMP console.
    • Scans complete successfully
    • EICAR test file detected immediately and deleted upon download.
  • Issue: Several users report an error in the AMP console preventing scans due to not having full disk access, even after user granted full disk access. AMP will be releasing a patch will full macOS 13.0 support in mid-November. Connector version experiencing error: 1.18.1.863
  • Vendor compatibility notes
Cisco Jabber

14.1.1.306908

10.13+

(Cisco Jabber 14.1.3+ officially macOS 13.0 supported)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Searching for contacts working as expected.
    • Successfully performs calls and allows for voicemail playback.
  • Vendor patch notes
Display Link Manager 1.7.1

10.15+

(Display Link Manager 1.8+ MacOS 13.0 fully supported)

  • Installs successfully on new macOS instances and works as expected.
  • Note: Some reports from earlier macOS Ventura Beta versions of this software not detecting docks properly. We could not replicate this bug, but the suggested solution was to uninstall Display Link Manager, reinstall the latest version and then reboot your Mac.
  • Vendor patch notes 
Google Drive  65.0

10.14+

(No explicit 13.0 support noted)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Tested signing in and able to see folders in finder as well as download and upload. 
  • Note: Vendor notes support for macOS High Sierra (10.13) will end soon. To continue using Drive for Desktop, upgrade to Mojave (10.14) or up.
  • Vendor compatibility notes
Java 8u341

10.8.3+

(No explicit 13.0 support noted)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Safari version 12 and above does not support NPAPI plugins, which include Java.
    • Chrome version 45 and above does not support NPAPI plugins, which include Java.
    • Firefox version 52 and above does not support NPAPI plugins, which include Java.
    • Launches Java Web Start-based UW Java applications successfully including JEMS.
  • Vendor system requirements
Microsoft Teams

1.5.00.27260

11.0+

(MacOS 13.0 fully supported)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Successfully sends and receives messages to and from individuals, groups, and teams.
    • Successfully performs calls and video conferencing via the built-in solutions.
    • Successfully creates new teams and modifies previous teams.
    • Searching for contacts working as expected.
  • Vendor system requirementspatch notes
Office 365 16.66.1

11.0+

(MacOS 13.0 fully supported)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
  • Excel, Powerpoint, and Word
    • Added O365 account to Excel, Powerpoint, and Word successfully.
    • Successfully created, edited, and opened documents in Excel, Powerpoint, and Word.
  • Outlook
    • Added O365 account to Outlook successfully.
    • Signs Emails with certificates successfully.
    • Send and receive Emails working as expected.
    • Reflects Email folder and read status on account as expected.
    • Calendar events, details, and invitees appear successfully.
    • Able to create new calendar events, invite attendees, check invitees' availability, add notes, etc. 
  • Vendor system requirementspatch notes
Palo Alto GlobalProtect

5.2.12-26

10.11+

(GlobalProtect 5.2.12+ macOS 13.0 fully supported)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Connected successfully with dynamic pool.
    • Connected successfully with static IP.
  • Vendor compatibility notespatch notes
  • **Older versions of GlobalProtect may cause network connectivity issues if it is not upgraded to the latest available version prior to upgrading to 13.0.  The solution is either upgrading GlobalProtect prior to upgrading or removing GlobalProtect and reinstalling the latest version of Global protect once you have 13.0,
Qualys (Security) N/A

10.13+

(No explicit 13.0 support noted)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Reports in the management console.
    • Note: the Applications folder entry is crossed out, though the agent itself seems to function normally.
  • Vendor compatibility notes
Spirion (Security) N/A

10.13 - 11.0

(No explicit 13.0 support noted)

  • Per the vendor, Spirion is NOT compatible with Apple Silicon Macs
  • Vendor notes support for OSX operating system versions. 
VMWare Workspace One 22.07.0

10.9+

(macOS 13.0 fully supported)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
  • Receives commands from the console
  • Reports in to the console successfully
  • Vendor system requirements
Webex Meetings

42.10.0.23814

10.13+

(No explicit 13.0 support noted)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Successfully video conferencing meeting.
    • Successfully imported pre-existing outlook meetings into Webex Meetings.
  • Vendor system requirements
Zoom

5.12.2

10.9+

(macOS 13.0 fully supported)

  • Installs successfully on new macOS instances and works as expected when upgrading from the previous macOS version to 13.0.
    • Able to create meetings, join existing meetings, Video, and audio working
    • Virtual backgrounds working 
  • Vendor compatibility notes